﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;

namespace MultiSelectSelectedValue
{
    public partial class Form1 : MetroForm
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            //Create dataTable
            DataTable dt = new DataTable("Table1");
            dt.Columns.Add("FirstName");
            dt.Columns.Add("LastName");
            dt.Columns.Add("occupation");
            dt.Columns.Add("place");
            // Create a Data Set
            DataSet ds = new DataSet();
            ds.Tables.Add(dt);
            dt.Rows.Add(new string[] { "Alex", "Zen", "Doctor", "India" });
            dt.Rows.Add(new string[] { "Bob", "Harry", "Staff", "London" });
            dt.Rows.Add(new string[] { "Alice", "Peter", "Developer", "Pakistan" });
            dt.Rows.Add(new string[] { "Adlensha", "Fdo", "Staff", "Africa" });
            dt.Rows.Add(new string[] { "Brick", "John", "Nurse", "North America" });
            dt.Rows.Add(new string[] { "Collen", "Geo", "Developer", "Italy" });
            //DataView view = new DataView(dt);
            this.multiSelectionComboBox1.DataSource = dt;
            this.multiSelectionComboBox1.DisplayMember = "place";
            this.multiSelectionComboBox1.ValueMember = "occupation";
        }
        #endregion

        #region Event
        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            this.listBox1.Items.Clear();
            ////To get the Visual items in MultiSelectionComboBox
            //foreach (VisualItem obj in this.multiSelectionComboBox1.VisualItems)
            //{
            //    //To add the selected item in ListBox
            //    listBox1.Items.Add(obj.Text);
            //}

            //To get the selected items in MultiSelectionComboBox
            foreach (object obj in this.multiSelectionComboBox1.SelectedItems)
            {
                //To add the selected item in ListBox
                listBox1.Items.Add(obj.ToString());
            }
        }
        #endregion
    }
}
